Package it.ernytech.tdlib

## Class TdApi.Session

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Session

Enclosing class:
  TdApi

    public static class TdApi.Session
    extends TdApi.Object

Contains information about one session in a Telegram application used by the current user.

### Field Summary

Fields
`int` `apiId` Telegram API identifier, as provided by the application.
`java.lang.String` `applicationName` Name of the application, as provided by the application.
`java.lang.String` `applicationVersion` The version of the application, as provided by the application.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `country` A two-letter country code for the country from which the session was created, based on the IP address.
`java.lang.String` `deviceModel` Model of the device the application has been run or is running on, as provided by the application.
`long` `id` Session identifier.
`java.lang.String` `ip` IP address from which the session was created, in human-readable format.
`boolean` `isCurrent` True, if this session is the current session.
`boolean` `isOfficialApplication` True, if the application is an official application or uses the apiId of an official application.
`int` `lastActiveDate` Point in time (Unix timestamp) when the session was last used.
`int` `logInDate` Point in time (Unix timestamp) when the user has logged in.
`java.lang.String` `platform` Operating system the application has been run or is running on, as provided by the application.
`java.lang.String` `region` Region code from which the session was created, based on the IP address.
`java.lang.String` `systemVersion` Version of the operating system the application has been run or is running on, as provided by the application.

### Constructor Summary

Constructors
`Session()` Default constructor.
`Session​(long id, boolean isCurrent, int apiId, java.lang.String applicationName, java.lang.String applicationVersion, boolean isOfficialApplication, java.lang.String deviceModel, java.lang.String platform, java.lang.String systemVersion, int logInDate, int lastActiveDate, java.lang.String ip, java.lang.String country, java.lang.String region)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Session identifier.

#### isCurrent

    public boolean isCurrent

True, if this session is the current session.

#### apiId

    public int apiId

Telegram API identifier, as provided by the application.

#### applicationName

    public java.lang.String applicationName

Name of the application, as provided by the application.

#### applicationVersion

    public java.lang.String applicationVersion

The version of the application, as provided by the application.

#### isOfficialApplication

    public boolean isOfficialApplication

True, if the application is an official application or uses the apiId of an official application.

#### deviceModel

    public java.lang.String deviceModel

Model of the device the application has been run or is running on, as provided by the application.

#### platform

    public java.lang.String platform

Operating system the application has been run or is running on, as provided by the application.

#### systemVersion

    public java.lang.String systemVersion

Version of the operating system the application has been run or is running on, as provided by the application.

#### logInDate

    public int logInDate

Point in time (Unix timestamp) when the user has logged in.

#### lastActiveDate

    public int lastActiveDate

Point in time (Unix timestamp) when the session was last used.

#### ip

    public java.lang.String ip

IP address from which the session was created, in human-readable format.

#### country

    public java.lang.String country

A two-letter country code for the country from which the session was created, based on the IP address.

#### region

    public java.lang.String region

Region code from which the session was created, based on the IP address.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Session

    public Session()

Default constructor.

#### Session

    public Session​(long id,
                   boolean isCurrent,
                   int apiId,
                   java.lang.String applicationName,
                   java.lang.String applicationVersion,
                   boolean isOfficialApplication,
                   java.lang.String deviceModel,
                   java.lang.String platform,
                   java.lang.String systemVersion,
                   int logInDate,
                   int lastActiveDate,
                   java.lang.String ip,
                   java.lang.String country,
                   java.lang.String region)

Constructor for initialization of all fields.

Parameters:
  `id` - Session identifier.
  `isCurrent` - True, if this session is the current session.
  `apiId` - Telegram API identifier, as provided by the application.
  `applicationName` - Name of the application, as provided by the application.
  `applicationVersion` - The version of the application, as provided by the application.
  `isOfficialApplication` - True, if the application is an official application or uses the apiId of an official application.
  `deviceModel` - Model of the device the application has been run or is running on, as provided by the application.
  `platform` - Operating system the application has been run or is running on, as provided by the application.
  `systemVersion` - Version of the operating system the application has been run or is running on, as provided by the application.
  `logInDate` - Point in time (Unix timestamp) when the user has logged in.
  `lastActiveDate` - Point in time (Unix timestamp) when the session was last used.
  `ip` - IP address from which the session was created, in human-readable format.
  `country` - A two-letter country code for the country from which the session was created, based on the IP address.
  `region` - Region code from which the session was created, based on the IP address.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR